Package org.apache.tools.ant.taskdefs.optional.j2ee

# Class ServerDeploy

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.optional.j2ee.ServerDeploy

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class ServerDeploy
    extends Task

Controls hot deployment tools for J2EE servers. This class is used as a framework for the creation of vendor specific hot deployment tools.

See Also:
  `HotDeploymentTool`, `AbstractHotDeploymentTool`, `GenericHotDeploymentTool`, `WebLogicHotDeploymentTool`

## Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ServerDeploy()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `addGeneric​(GenericHotDeploymentTool tool)` | Creates a generic deployment tool.
`void` | `addJonas​(JonasHotDeploymentTool tool)` | Creates a JOnAS deployment tool, for deployment to JOnAS servers.
`void` | `addWeblogic​(WebLogicHotDeploymentTool tool)` | Creates a WebLogic deployment tool, for deployment to WebLogic servers.
`void` | `execute()` | Execute the task.
`java.lang.String` | `getAction()` | Returns the action field.
`java.io.File` | `getSource()` | Returns the source field (the path/filename of the component to be deployed.
`void` | `setAction​(java.lang.String action)` | The action to be performed, usually "deploy"; required.
`void` | `setSource​(java.io.File source)` | The filename of the component to be deployed; optional depending upon the tool and the action.

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServerDeploy

public ServerDeploy()

## Method Details

### addGeneric

public void addGeneric​(GenericHotDeploymentTool tool)
Creates a generic deployment tool.

Ant calls this method on creation to handle embedded "generic" elements in the ServerDeploy task.

Parameters:
  `tool` - An instance of GenericHotDeployment tool, passed in by Ant.

### addWeblogic

public void addWeblogic​(WebLogicHotDeploymentTool tool)
Creates a WebLogic deployment tool, for deployment to WebLogic servers.

Ant calls this method on creation to handle embedded "weblogic" elements in the ServerDeploy task.

Parameters:
  `tool` - An instance of WebLogicHotDeployment tool, passed in by Ant.

### addJonas

public void addJonas​(JonasHotDeploymentTool tool)
Creates a JOnAS deployment tool, for deployment to JOnAS servers.

Ant calls this method on creation to handle embedded "jonas" elements in the ServerDeploy task.

Parameters:
  `tool` - An instance of JonasHotDeployment tool, passed in by Ant.

### execute

public void execute() throws BuildException
Execute the task.

This method calls the deploy() method on each of the vendor-specific tools in the `vendorTools` collection. This performs the actual process of deployment on each tool.

Overrides:
  `execute` in class `Task`
Throws:
  `BuildException` - if the attributes are invalid or incomplete, or a failure occurs in the deployment process.

### getAction

public java.lang.String getAction()
Returns the action field.

Returns:
  A string representing the "action" attribute.

### setAction

public void setAction​(java.lang.String action)
The action to be performed, usually "deploy"; required. Some tools support additional actions, such as "delete", "list", "undeploy", "update"...

Parameters:
  `action` - A String representing the "action" attribute.

### getSource

public java.io.File getSource()
Returns the source field (the path/filename of the component to be deployed.

Returns:
  A File object representing the "source" attribute.

### setSource

public void setSource​(java.io.File source)
The filename of the component to be deployed; optional depending upon the tool and the action.

Parameters:
  `source` - String representing the "source" attribute.